/
장바구니 ID로 모든 장바구니 아이템 삭제
디지털 배포 솔루션 (1.0.0)
디지털 배포 솔루션는새로운 엑솔라 솔루션으로 푸시 결제 기술 및 전자 상거래를 통한 결제를 기반으로 현금과 디지털을 연결하는 것을 목표로 합니다.
https://store.xsolla.com/api는 일반, 카탈로그, 장바구니, 주문 그룹용입니다.https://ps.xsolla.com은 알림 그룹용입니다.
카탈로그 그룹의 API 엔드포인트는 권한 부여가 필요하지 않습니다.
장바구니 및 주문 그룹의 연산 작업을 하려면 사용자 토큰 생성을 통해 토큰을 생성해야 합니다.
주의
이 참조는 향후 API 디자인을 나타내며 완전한 기능을 하는 인터페이스가 아닙니다. 현재 카탈로그 및 알림 그룹 엔드포인트만 시도해 보실 수 있습니다. 피드백을 남기고 싶으시면 techdoc@xsolla.com으로 이메일을 보내주십시오.
이 참조는 향후 API 디자인을 나타내며 완전한 기능을 하는 인터페이스가 아닙니다. 현재 카탈로그 및 알림 그룹 엔드포인트만 시도해 보실 수 있습니다. 피드백을 남기고 싶으시면 techdoc@xsolla.com으로 이메일을 보내주십시오.
OpenAPI 설명 다운로드
언어
서버
Mock server
https://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/
https://store.xsolla.com/api/
- Mock serverhttps://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/v2/project/{project_id}/cart/{cart_id}
- https://store.xsolla.com/api/v2/project/{project_id}/cart/{cart_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/v2/project/44056/cart/custom_id?currency=USD&locale=en' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'상품이 포함된 장바구니가 성공적으로 반환되었습니다.
예제: [{"attributes":[],"description":"Take it, take it all! All of Xsollas riches in one Mega Booster.","groups":[{"external_id":"powerups","name":"Power Ups"}],"image_url":"https://cdn.xsolla.net/img/misc/images/e9f2f4a634bc96ea03b5d5ceadd7c55f.png","inventory_options":{"consumable":{"usages_count":1}},"is_free":false,"name":"Xsolla Booster Mega","price":{"amount":"50.0000000000000000","amount_without_discount":"100.0000000000000000","currency":"USD"},"quantity":123,"sku":"booster_mega_1","type":"virtual_good","virtual_item_type":"consumable","virtual_prices":[]}]
응답
application/json
{ "cart_id": "cart_id", "is_free": false, "items": [ { … } ], "price": { "amount": "6150.0000000000000000", "amount_without_discount": "6150.0000000000000000", "currency": "USD" } }
- Mock serverhttps://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/v2/project/{project_id}/cart/{cart_id}/clear
- https://store.xsolla.com/api/v2/project/{project_id}/cart/{cart_id}/clear
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
https://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/v2/project/44056/cart/custom_id/clear \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'본문application/json
선호하는 결제 통화입니다. 통화의 3자리 정의가 ISO 4217에 따라 사용됩니다.
- Mock serverhttps://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/v2/project/{project_id}/cart/{cart_id}/fill
- https://store.xsolla.com/api/v2/project/{project_id}/cart/{cart_id}/fill
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
https://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/v2/project/44056/cart/custom_id/fill \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '[
{
"quantity": 123,
"sku": "booster_mega_1"
}
]'상품이 포함된 장바구니가 성공적으로 반환되었습니다.
장바구니 가격.
예제: "{\"amount\":\"6150.0000000000000000\",\"amount_without_discount\":\"6150.0000000000000000\",\"currency\":\"USD\"}"
예제: [{"attributes":[],"description":"Take it, take it all! All of Xsollas riches in one Mega Booster.","groups":[{"external_id":"powerups","name":"Power Ups"}],"image_url":"https://cdn.xsolla.net/img/misc/images/e9f2f4a634bc96ea03b5d5ceadd7c55f.png","inventory_options":{"consumable":{"usages_count":1}},"is_free":false,"name":"Xsolla Booster Mega","price":{"amount":"50.0000000000000000","amount_without_discount":"100.0000000000000000","currency":"USD"},"quantity":123,"sku":"booster_mega_1","type":"virtual_good","virtual_item_type":"consumable","virtual_prices":[]}]
응답
application/json
{ "cart_id": "cart_id", "is_free": false, "items": [ { … } ], "price": { "amount": "6150.0000000000000000", "amount_without_discount": "6150.0000000000000000", "currency": "USD" }, "warnings": [ { … } ] }